ReactNative问题:怎么知道哪些RN库我能用在web上?

damiaozi
  • 124

现在我已经用RN写了一套代码了,然后通过react-native-web转成web,达到三端融合。

但是,我要怎么知道哪些RN库我能不能用在web上?

哪些是rnw支持的?或者说,都可以自动支持?

以下是所有我的RN项目依赖的库。

"react": "16.0.0-alpha.6",【need use,15.4】
 "react-native": "0.44.0",【need use,0.41.0】
"react-native-vector-icons": "^4.2.0",【can use】
 "react-navigation": "^1.0.0-beta.9"【can use】
"react-native-actionsheet": "^2.1.0",
"react-native-check-box": "^1.0.4",
"react-native-image-progress": "^0.6.0",
"react-native-loading-spinner-overlay": "^0.5.0",
"react-native-progress": "^3.2.1",
"react-native-qq": "^2.0.5",
"react-native-scrollable-tab-view": "^0.6.6",
"react-native-simple-radio-button": "^2.5.0-alpha.1",
"react-native-snackbar-dialog": "^1.3.0",
"react-native-star-rating": "^1.0.7",
"react-native-swiper": "^1.5.4",

这几天,我已经验证过,前四个是可以用的,但是,剩下的这些库,能不能用 我要怎么才能知道呢?

希望可以给我点建议,给我个判断哪个能不能用的方法?

谢谢

回复
阅读 2.8k
1 个回答

依老夫来看,需要导入SDK的依赖包应该是不可以用的,你看react-native-web支持的那些组件和API,你的这些依赖超出那个范围的应该就不行了吧

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏